# Splashes
ecosystem {
    no_update_news = true
    no_donation_nag = true
}

misc {
    disable_hyprland_logo = true
    disable_splash_rendering = true
}


# General config
general {
    gaps_in = 3
    gaps_out = 5
    border_size = 2
    col.active_border = rgba(6aa0d2ff) rgba(cb7194ff) 24deg
    col.inactive_border = rgba(595959aa)
    layout = dwindle
}

dwindle {
    pseudotile = yes
    preserve_split = yes
}

cursor {
    inactive_timeout = 2
}


# Window styling
decoration {
    rounding = 10
    blur {
        brightness = 0.7
        contrast = 0.75
        enabled = true
        size = 3
        passes = 2
        ignore_opacity = true
    }
}

animations {
    enabled = yes

    # Style 1
    # bezier = myBezier, 0.05, 0.9, 0.1, 1.05
    # animation = windows, 1, 7, myBezier
    # animation = windowsOut, 1, 7, default, popin 80%
    # animation = border, 1, 10, default
    # animation = borderangle, 1, 8, default
    # animation = fade, 1, 7, default
    # animation = workspaces, 1, 6, default

    # Style 2
    bezier = myBezier, 0.05, 0.9, 0.1, 1.05
    animation = windows, 1, 7, myBezier
    animation = windowsIn, 1, 10, myBezier, gnomed
    animation = windowsOut, 1, 7, myBezier, popin 70%
    animation = border, 1, 10, default
    animation = borderangle, 1, 8, default
    animation = fade, 1, 5, myBezier
    animation = workspaces, 1, 6, myBezier, slide

    # Style 3 (raw)
    # bezier = myBezier, 0, 0.55, 0.45, 1
    # animation = windows, 1, 7, myBezier
    # animation = windowsOut, 1, 7, default, popin 80%
    # animation = border, 1, 10, default
    # animation = borderangle, 1, 8, default
    # animation = fade, 1, 5, myBezier
    # animation = workspaces, 1, 6, myBezier, slide
}

group {
    col.border_active = rgba(33ccffee) rgba(bd93f9ee) 45deg
    groupbar {
        gradients = false
        col.active = rgba(33ccffee)
        render_titles = false
    }
}
